<!doctype html>
<html ng-app="base">

<head>
    <link rel="stylesheet" href="bower_components/material-design-lite/material.min.css" />
    <link rel="stylesheet" href="assets/css/material-icons.css" />
    <script src="constant.js"></script>
    <script src="bower_components/angular/angular.min.js"></script>
    <script src="bower_components/angular-route/angular-route.min.js"></script>
    <script defer src="/providers/storage-provider.js"></script>
    <script defer src="/providers/api-service.js"></script>
    <script defer src="app.js"></script>
    <script defer src="bower_components/material-design-lite/material.min.js"></script>
    <style>
        body {
            background: #eee;
        }
        .dark-bg{
            background: #111;
        }
        .sub-menu{
            min-height: 200px
        }
    </style>
</head>

<body ng-controller="homeCtrlr">
    <!-- Always shows a header, even in smaller screens. -->
    <div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
        <header class="mdl-layout__header">
            <div class="mdl-layout__header-row">
                <!-- Title --><span class="mdl-layout-title">SPOTBOYE</span>
                <div class="mdl-layout-spacer"></div>
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--expandable
                  mdl-textfield--floating-label mdl-textfield--align-right">
        <label class="mdl-button mdl-js-button mdl-button--icon"
               for="fixed-header-drawer-exp">
          <i class="material-icons">search</i>
        </label>
        <div class="mdl-textfield__expandable-holder">
          <input class="mdl-textfield__input" type="text" name="sample" placeholder="search any article"
                 id="fixed-header-drawer-exp">
        </div>
      </div>
            </div>
            <div class="mdl-layout__header-row dark-bg" ng-if="showTopMenu">
                <!-- Navigation. We hide it in small screens. -->
                <nav class="mdl-navigation"> 
                    <a id="demo-menu-lower-left" ng-click="toggleSubmenu()" class="mdl-navigation__link" href="" ng-repeat="menu in menus">{{menu.title | uppercase}}
                    </a>    
                </nav>
            </div>
             <div class="mdl-layout__header-row dark-bg sub-menu" ng-show="showSubMenu">
               <h3>SUB MENU GOES HERE</h3>
            </div>
        </header>
        <main class="mdl-layout__content" ng-view> </main>
    </div>
</body>

</html>